<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{5F839FF6-3EBC-438F-8775-7F6A25402E66}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <RootNamespace>C4IT_DataHistoryProvider_Test</RootNamespace>
    <AssemblyName>F4SD-Cockpit-Collector</AssemblyName>
    <TargetFrameworkVersion>v4.7.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
    <Deterministic>false</Deterministic>
    <SccProjectName>SAK</SccProjectName>
    <SccLocalPath>SAK</SccLocalPath>
    <SccAuxPath>SAK</SccAuxPath>
    <SccProvider>SAK</SccProvider>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>TRACE;DEBUG</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release-Demo|AnyCPU'">
    <OutputPath>bin\Release-Demo\</OutputPath>
    <DefineConstants>TRACE;DEMOLICENSE</DefineConstants>
    <Optimize>true</Optimize>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <LangVersion>7.3</LangVersion>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug-Demo|AnyCPU'">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>bin\Debug-Demo\</OutputPath>
    <DefineConstants>TRACE;DEBUG;DEMOLICENSE</DefineConstants>
    <DebugType>full</DebugType>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <LangVersion>7.3</LangVersion>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationIcon>logo_FASD.ico</ApplicationIcon>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
    <PlatformTarget>x64</PlatformTarget>
    <OutputPath>bin\x64\Debug\</OutputPath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
    <PlatformTarget>x64</PlatformTarget>
    <OutputPath>bin\x64\Release\</OutputPath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release-Demo|x64'">
    <PlatformTarget>x64</PlatformTarget>
    <OutputPath>bin\x64\Release-Demo\</OutputPath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug-Demo|x64'">
    <PlatformTarget>x64</PlatformTarget>
    <OutputPath>bin\x64\Debug-Demo\</OutputPath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x86'">
    <PlatformTarget>x86</PlatformTarget>
    <OutputPath>bin\x86\Debug\</OutputPath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x86'">
    <PlatformTarget>x86</PlatformTarget>
    <OutputPath>bin\x86\Release\</OutputPath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release-Demo|x86'">
    <PlatformTarget>x86</PlatformTarget>
    <OutputPath>bin\x86\Release-Demo\</OutputPath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug-Demo|x86'">
    <PlatformTarget>x86</PlatformTarget>
    <OutputPath>bin\x86\Debug-Demo\</OutputPath>
  </PropertyGroup>
  <PropertyGroup />
  <PropertyGroup>
    <ApplicationManifest>app.manifest</ApplicationManifest>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Newtonsoft.Json, Version=13.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <HintPath>..\packages\Newtonsoft.Json.13.0.4\lib\net45\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Deployment" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="..\CommonAssemblyInfo.cs">
      <Link>Properties\CommonAssemblyInfo.cs</Link>
    </Compile>
    <Compile Include="ctrlActiveDirectory.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="ctrlActiveDirectory.Designer.cs">
      <DependentUpon>ctrlActiveDirectory.cs</DependentUpon>
    </Compile>
    <Compile Include="ctrlCleanup.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="ctrlCleanup.Designer.cs">
      <DependentUpon>ctrlCleanup.cs</DependentUpon>
    </Compile>
    <Compile Include="ctrlClientAgent.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="ctrlClientAgent.Designer.cs">
      <DependentUpon>ctrlClientAgent.cs</DependentUpon>
    </Compile>
    <Compile Include="ctrlM42Wpm.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="ctrlM42Wpm.Designer.cs">
      <DependentUpon>ctrlM42Wpm.cs</DependentUpon>
    </Compile>
    <Compile Include="ctrlMainFunction.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="ctrlMainFunction.Designer.cs">
      <DependentUpon>ctrlMainFunction.cs</DependentUpon>
    </Compile>
    <Compile Include="ctrlNexthink.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="ctrlNexthink.Designer.cs">
      <DependentUpon>ctrlNexthink.cs</DependentUpon>
    </Compile>
    <Compile Include="ctrlProtocolBox.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="ctrlProtocolBox.Designer.cs">
      <DependentUpon>ctrlProtocolBox.cs</DependentUpon>
    </Compile>
    <Compile Include="ctrlF4SDAnalytics.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="ctrlF4SDAnalytics.Designer.cs">
      <DependentUpon>ctrlF4SDAnalytics.cs</DependentUpon>
    </Compile>
    <Compile Include="ctrlTestFunctions.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="ctrlTestFunctions.Designer.cs">
      <DependentUpon>ctrlTestFunctions.cs</DependentUpon>
    </Compile>
    <Compile Include="frmMain2.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="frmMain2.Designer.cs">
      <DependentUpon>frmMain2.cs</DependentUpon>
    </Compile>
    <Compile Include="frmPasssword.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="frmPasssword.Designer.cs">
      <DependentUpon>frmPasssword.cs</DependentUpon>
    </Compile>
    <Compile Include="Program.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="ctrlCitrix.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="ctrlCitrix.Designer.cs">
      <DependentUpon>ctrlCitrix.cs</DependentUpon>
    </Compile>
    <EmbeddedResource Include="ctrlActiveDirectory.resx">
      <DependentUpon>ctrlActiveDirectory.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="ctrlCleanup.resx">
      <DependentUpon>ctrlCleanup.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="ctrlClientAgent.resx">
      <DependentUpon>ctrlClientAgent.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="ctrlM42Wpm.resx">
      <DependentUpon>ctrlM42Wpm.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="ctrlMainFunction.resx">
      <DependentUpon>ctrlMainFunction.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="ctrlNexthink.resx">
      <DependentUpon>ctrlNexthink.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="ctrlProtocolBox.resx">
      <DependentUpon>ctrlProtocolBox.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="ctrlF4SDAnalytics.resx">
      <DependentUpon>ctrlF4SDAnalytics.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="ctrlTestFunctions.resx">
      <DependentUpon>ctrlTestFunctions.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="frmMain2.resx">
      <DependentUpon>frmMain2.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="frmPasssword.resx">
      <DependentUpon>frmPasssword.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
      <DesignTime>True</DesignTime>
    </Compile>
    <EmbeddedResource Include="Config\F4SD-Infrastructure-Configuration.xsd">
      <SubType>Designer</SubType>
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </EmbeddedResource>
    <EmbeddedResource Include="..\..\C4IT FASD\_Common\XmlSchemas\F4SD-CopyTemplate-Configuration.xsd">
      <Link>Config\F4SD-CopyTemplate-Configuration.xsd</Link>
      <SubType>Designer</SubType>
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </EmbeddedResource>
    <EmbeddedResource Include="..\..\C4IT FASD\_Common\XmlSchemas\F4SD-HealthCard-Configuration.xsd">
      <Link>Config\F4SD-HealthCard-Configuration.xsd</Link>
      <SubType>Designer</SubType>
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </EmbeddedResource>
    <EmbeddedResource Include="..\..\C4IT FASD\_Common\XmlSchemas\F4SD-Icon-Configuration.xsd">
      <Link>Config\F4SD-Icon-Configuration.xsd</Link>
      <SubType>Designer</SubType>
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </EmbeddedResource>
    <EmbeddedResource Include="..\..\C4IT FASD\_Common\XmlSchemas\F4SD-MenuSection-Configuration.xsd">
      <Link>Config\F4SD-MenuSection-Configuration.xsd</Link>
      <SubType>Designer</SubType>
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </EmbeddedResource>
    <EmbeddedResource Include="..\..\C4IT FASD\_Common\XmlSchemas\F4SD-QuickAction-Configuration.xsd">
      <Link>Config\F4SD-QuickAction-Configuration.xsd</Link>
      <SubType>Designer</SubType>
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </EmbeddedResource>
    <EmbeddedResource Include="ctrlCitrix.resx">
      <DependentUpon>ctrlCitrix.cs</DependentUpon>
    </EmbeddedResource>
    <None Include="app.manifest" />
    <EmbeddedResource Include="Config\F4SD-Global-Configuration.xsd">
      <SubType>Designer</SubType>
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </EmbeddedResource>
    <None Include="packages.config" />
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
    <EmbeddedResource Include="Config\F4SD-DataClusters-Configuration.xsd">
      <SubType>Designer</SubType>
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="Config\F4SD-CopyTemplate-Configuration.xml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Config\F4SD-DataClusters-Configuration.xml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Config\F4SD-Global-Configuration.xml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Config\F4SD-HealthCard-Configuration.xml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Config\F4SD-Icon-Configuration.xml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Config\F4SD-Infrastructure-Configuration.xml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Config\F4SD-MenuSection-Configuration.xml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Config\F4SD-QuickAction-Configuration.xml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Graphics\Error_24.png" />
    <Content Include="Graphics\OK_24.png" />
    <Content Include="Graphics\Warning_24.png" />
    <Content Include="License\F4SD_License.xml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="logo_FASD.ico" />
    <None Include="Resources\Intrinsic_F4SD_License.xml" />
    <EmbeddedResource Include="DataHistorySql.xml" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\C4IT_DataHistoryProvider_Base\F4SD-Cockpit-Server.csproj">
      <Project>{49452fc2-05ce-4077-8b40-8adf5eca212e}</Project>
      <Name>F4SD-Cockpit-Server</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup />
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <PropertyGroup>
    <PreBuildEvent>
copy "$(ProjectDir)..\..\C4IT FASD\_Common\XmlSchemas\*" "$(ProjectDir)Config"
	</PreBuildEvent>
  </PropertyGroup>
</Project>